org.apache.tinkerpop.gremlin

## Enum FeatureRequirementSet.Package

- java.lang.Object
- - java.lang.Enum<FeatureRequirementSet.Package>
  - - org.apache.tinkerpop.gremlin.FeatureRequirementSet.Package

- All Implemented Interfaces:
    Serializable, Comparable<FeatureRequirementSet.Package>
  Enclosing class:
    FeatureRequirementSet

      public static enum FeatureRequirementSet.Package
      extends Enum<FeatureRequirementSet.Package>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SIMPLE` Allows for the most basic features of a graph - add edges/vertices withs support for string property values.
    `VERTICES_ONLY` Allows for adding of vertices (but not edges) with string property values.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<FeatureRequirement>` | `featuresRequired()`
    `static FeatureRequirementSet.Package` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FeatureRequirementSet.Package[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIMPLE

          public static final FeatureRequirementSet.Package SIMPLE

      Allows for the most basic features of a graph - add edges/vertices withs support for string property values.

    - #### VERTICES_ONLY

          public static final FeatureRequirementSet.Package VERTICES_ONLY

      Allows for adding of vertices (but not edges) with string property values.

  - ### Method Detail

    - #### values

          public static FeatureRequirementSet.Package[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FeatureRequirementSet.Package c : FeatureRequirementSet.Package.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FeatureRequirementSet.Package valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### featuresRequired

          public List<FeatureRequirement> featuresRequired()

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.